//......]*[.......]*[.......]*[.......]*[.......]*[.......]*[.......]*[.......].
// TrackData.hpp
//......]*[.......]*[.......]*[.......]*[.......]*[.......]*[.......]*[.......].
//
// Mars data for TrackingPass example
//
//..............................................................................
//       1         2         3         4         5         6         7         8
//345678901234567890123456789012345678901234567890123456789012345678901234567890 
//..............................................................................
#ifndef _TRACK_DATA_
#define _TRACK_DATA_

struct TrackData {
                    char *id;
                    double begin;
                    double end;
                  };

struct TrackData trackData[] = {
"Observer1", 	   1.00, 	   1.40, //  1 
"Observer1", 	   1.99, 	   2.40, //  2 
"Observer1", 	   2.99, 	   3.40, //  3 
"Observer1", 	   3.99, 	   4.39, //  4 
"Observer1", 	   4.99, 	   5.39, //  5 
"Observer1", 	   5.98, 	   6.39, //  6 
"Observer1", 	   6.98, 	   7.38, //  7 
"Observer1", 	   7.98, 	   8.38, //  8 
"Observer1", 	   8.97, 	   9.38, //  9 
"Observer1", 	   9.97, 	  10.37, // 10 
"Observer1", 	  10.97, 	  11.37, // 11 
"Observer1", 	  11.96, 	  12.37, // 12 
"Observer1", 	  12.96, 	  13.36, // 13 
"Observer1", 	  13.96, 	  14.36, // 14 
"Observer1", 	  14.95, 	  15.35, // 15 
"Observer1", 	  15.95, 	  16.35, // 16 
"Observer1", 	  16.95, 	  17.35, // 17 
"Observer1", 	  17.95, 	  18.34, // 18 
"Observer1", 	  18.94, 	  19.34, // 19 
"Observer1", 	  19.94, 	  20.34, // 20 
"Observer1", 	  20.94, 	  21.33, // 21 
"Observer1", 	  21.93, 	  22.33, // 22 
"Observer1", 	  22.93, 	  23.33, // 23 
"Observer1", 	  23.93, 	  24.32, // 24 
"Observer1", 	  24.92, 	  25.32, // 25 
"Observer1", 	  25.92, 	  26.32, // 26 
"Observer1", 	  26.92, 	  27.31, // 27 
"Observer1", 	  27.91, 	  28.31, // 28 
"Observer1", 	  28.91, 	  29.30, // 29 
"Observer1", 	  29.91, 	  30.30, // 30 
"Observer1", 	  30.90, 	  31.30, // 31 
"Observer1", 	  31.90, 	  32.29, // 32 
"Observer1", 	  32.90, 	  33.29, // 33 
"Observer1", 	  33.89, 	  34.29, // 34 
"Observer1", 	  34.89, 	  35.28, // 35 
"Observer1", 	  35.89, 	  36.28, // 36 
"Observer1", 	  36.88, 	  37.28, // 37 
"Observer1", 	  37.88, 	  38.27, // 38 
"Observer1", 	  38.88, 	  39.27, // 39 
"Observer1", 	  39.87, 	  40.27, // 40  
"Observer2", 	   0.20, 	   0.72, //  1
"Observer2", 	   1.20, 	   1.72, //  2 
"Observer2", 	   2.20, 	   2.72, //  3 
"Observer2", 	   3.19, 	   3.72, //  4
"Observer2", 	   4.19, 	   4.71, //  5 
"Observer2", 	   5.19, 	   5.71, //  6 
"Observer2", 	   6.18, 	   6.71, //  7 
"Observer2", 	   7.18, 	   7.70, //  8 
"Observer2", 	   8.18, 	   8.70, //  9 
"Observer2", 	   9.17, 	   9.70, // 10 
"Observer2", 	  10.17, 	  10.69, // 11 
"Observer2", 	  11.17, 	  11.69, // 12 
"Observer2", 	  12.16, 	  12.69, // 13 
"Observer2", 	  13.16, 	  13.68, // 14 
"Observer2", 	  14.16, 	  14.68, // 15 
"Observer2", 	  15.15, 	  15.68, // 16 
"Observer2", 	  16.15, 	  16.67, // 17 
"Observer2", 	  17.15, 	  17.67, // 18 
"Observer2", 	  18.14, 	  18.67, // 19 
"Observer2", 	  19.14, 	  19.67, // 20 
"Observer2", 	  20.14, 	  20.66, // 21 
"Observer2", 	  21.13, 	  21.66, // 22 
"Observer2", 	  22.13, 	  22.66, // 23 
"Observer2", 	  23.12, 	  23.65, // 24 
"Observer2", 	  24.12, 	  24.65, // 25 
"Observer2", 	  25.12, 	  25.65, // 26 
"Observer2", 	  26.11, 	  26.64, // 27 
"Observer2", 	  27.11, 	  27.64, // 28 
"Observer2", 	  28.11, 	  28.64, // 29 
"Observer2", 	  29.10, 	  29.63, // 30 
"Observer2", 	  30.10, 	  30.63, // 31 
"Observer2", 	  31.10, 	  31.63, // 32 
"Observer2", 	  32.09, 	  32.62, // 33 
"Observer2", 	  33.09, 	  33.62, // 34 
"Observer2", 	  34.09, 	  34.62, // 35 
"Observer2", 	  35.08, 	  35.61, // 36 
"Observer2", 	  36.08, 	  36.61, // 37 
"Observer2", 	  37.08, 	  37.61, // 38 
"Observer2", 	  38.07, 	  38.60, // 39 
"Observer2", 	  39.07, 	  39.60, // 40 
"Observer2", 	  40.07, 	  40.40, // 41 
"Observer3", 	   0.69, 	   1.08, //  1 
"Observer3", 	   1.69, 	   2.08, //  2 
"Observer3", 	   2.69, 	   3.08, //  3 
"Observer3", 	   3.68, 	   4.07, //  4 
"Observer3", 	   4.68, 	   5.07, //  5 
"Observer3", 	   5.68, 	   6.07, //  6 
"Observer3", 	   6.68, 	   7.06, //  7 
"Observer3", 	   7.67, 	   8.06, //  8 
"Observer3", 	   8.67, 	   9.06, //  9 
"Observer3", 	   9.67, 	  10.05, // 10 
"Observer3", 	  10.66, 	  11.05, // 11 
"Observer3", 	  11.66, 	  12.05, // 12 
"Observer3", 	  12.66, 	  13.04, // 13 
"Observer3", 	  13.65, 	  14.04, // 14 
"Observer3", 	  14.65, 	  15.04, // 15 
"Observer3", 	  15.65, 	  16.03, // 16 
"Observer3", 	  16.64, 	  17.03, // 17 
"Observer3", 	  17.64, 	  18.02, // 18 
"Observer3", 	  18.64, 	  19.02, // 19 
"Observer3", 	  19.63, 	  20.02, // 20 
"Observer3", 	  20.63, 	  21.01, // 21 
"Observer3", 	  21.63, 	  22.01, // 22 
"Observer3", 	  22.63, 	  23.01, // 23 
"Observer3", 	  23.62, 	  24.00, // 24 
"Observer3", 	  24.62, 	  25.00, // 25 
"Observer3", 	  25.62, 	  26.00, // 26 
"Observer3", 	  26.61, 	  26.99, // 27 
"Observer3", 	  27.61, 	  27.99, // 28 
"Observer3", 	  28.61, 	  28.98, // 29
"Observer3", 	  29.60, 	  29.98, // 30 
"Observer3", 	  30.60, 	  30.98, // 31 
"Observer3", 	  31.60, 	  31.97, // 32 
"Observer3", 	  32.59, 	  32.97, // 33 
"Observer3", 	  33.59, 	  33.97, // 34 
"Observer3", 	  34.59, 	  34.96, // 35 
"Observer3", 	  35.58, 	  35.96, // 36 
"Observer3", 	  36.58, 	  36.96, // 37 
"Observer3", 	  37.58, 	  37.95, // 38 
"Observer3", 	  38.57, 	  38.95, // 39 
"Observer3", 	  39.57, 	  39.95}; // 40 

int trackDataSize  = sizeof(trackData)/sizeof(TrackData);
double beginPeriod =  0.0;
double endPeriod   = 41.0;
int    numPasses   = 14;

#endif
//......]*[.......]*[.......]*[.......]*[.......]*[.......]*[.......]*[.......].
//      end       end       end       end       end       end       end        
//......]*[.......]*[.......]*[.......]*[.......]*[.......]*[.......]*[.......].